package com.goldenwater.slaj.eutr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.eutr.mapper.BisEutrPlanMapper;
import com.goldenwater.slaj.eutr.domain.BisEutrPlan;
import com.goldenwater.slaj.eutr.service.IBisEutrPlanService;

@Service
public class BisEutrPlanServiceImpl implements IBisEutrPlanService {
    @Autowired
    private BisEutrPlanMapper bisEutrPlanMapper;

    @Override
    public BisEutrPlan selectBisEutrPlanByGuid(String guid) {
        return bisEutrPlanMapper.selectBisEutrPlanByGuid(guid);
    }

    @Override
    public List<BisEutrPlan> selectBisEutrPlanList(BisEutrPlan bisEutrPlan) {
        return bisEutrPlanMapper.selectBisEutrPlanList(bisEutrPlan);
    }

    @Override
    public int insertBisEutrPlan(BisEutrPlan bisEutrPlan) {
        return bisEutrPlanMapper.insertBisEutrPlan(bisEutrPlan);
    }

    @Override
    public int updateBisEutrPlan(BisEutrPlan bisEutrPlan) {
        return bisEutrPlanMapper.updateBisEutrPlan(bisEutrPlan);
    }

    @Override
    public int deleteBisEutrPlanByGuid(String guid) {
        return bisEutrPlanMapper.deleteBisEutrPlanByGuid(guid);
    }

    @Override
    public int deleteBisEutrPlanByGuids(String[] guids) {
        return bisEutrPlanMapper.deleteBisEutrPlanByGuids(guids);
    }
}
